curl --request POST \
--url 'https://api.stateset.com/api/v1/invoices/{id}/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "string",
"notes": null,
"payment_method": null,
"reference": null
}'
{
"amount_paid": "string",
"balance_due": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": "2026-07-24T12:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_date": "2026-07-24T12:00:00Z",
"invoice_number": "string",
"invoice_type": "string",
"order_id": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string",
"total": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
`POST /api/v1/invoices/:id/payments`
POST /api/v1/invoices/:id/payments
POST
/
api
/
v1
/
invoices
/
{id}
/
payments
curl --request POST \
--url 'https://api.stateset.com/api/v1/invoices/{id}/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "string",
"notes": null,
"payment_method": null,
"reference": null
}'
{
"amount_paid": "string",
"balance_due": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": "2026-07-24T12:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_date": "2026-07-24T12:00:00Z",
"invoice_number": "string",
"invoice_type": "string",
"order_id": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string",
"total": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
Path parameters
string
required
Invoice ID (UUID)
Request body
RecordInvoicePaymentRequest
string
required
string,null
string,null
string,null
Responses
InvoiceResponse
Payment recorded on invoice
ErrorBody
Invoice not found
curl --request POST \
--url 'https://api.stateset.com/api/v1/invoices/{id}/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "string",
"notes": null,
"payment_method": null,
"reference": null
}'
{
"amount_paid": "string",
"balance_due": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": "2026-07-24T12:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_date": "2026-07-24T12:00:00Z",
"invoice_number": "string",
"invoice_type": "string",
"order_id": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string",
"total": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
โI